package com.tarento.training.controllers;

import com.tarento.training.models.GeocodingResponse;
import com.tarento.training.services.GeocodingService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/api/geocoding")
public class GeocodeController {

    @Autowired
    private GeocodingService geocodingService;

    @GetMapping("/address")
    public GeocodingResponse getAddressInfo(@RequestParam("lat") double latitude,
                                            @RequestParam("lng") double longitude) {
        return geocodingService.getAddressInfo(latitude, longitude);
    }
}
