package com.tarento.training.models;

import lombok.*;

import java.util.List;

@AllArgsConstructor
@NoArgsConstructor
@Getter
@Setter
@Builder
@ToString
public class GeocodingResponse {
    private List<Result> results;
    private String status;

    @AllArgsConstructor
    @NoArgsConstructor
    @Getter
    @Setter
    @Builder
    @ToString
    public static class Result {
        private List<AddressComponent> address_components;
        private String formatted_address;
    }

    @AllArgsConstructor
    @NoArgsConstructor
    @Getter
    @Setter
    @Builder
    @ToString
    public static class AddressComponent {
        private String long_name;
        private String short_name;
        private List<String> types;
    }
}
